import { HttpClient } from '@angular/common/http';
import { RoutingService } from '@spartacus/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SaveCartService {
    private http;
    protected routingService: RoutingService;
    cartId: number;
    protected savedCartId$: Observable<any>;
    constructor(http: HttpClient, routingService: RoutingService);
    cloneAndSave(cartId: number, name: string): Observable<any>;
    deleteSavdCart(cartId: number): Observable<any>;
    markCartForActive(cartId: number): Observable<any>;
    saveCartForLater(name: string, description: string): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SaveCartService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SaveCartService>;
}
